Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 652318 - Email sender is displayed as quoted when name in from is quoted.
: Email sender is displayed as quoted when name in from is quoted.
: regression
Product: Thunderbird
Classification: Client Software
Component: Message Reader UI (show other bugs)
: Trunk
: x86 Windows 7
: -- normal (vote)
: Thunderbird 7.0
Assigned To: Jim Porter (:squib)
Depends on:
Blocks: 243631
  Show dependency treegraph
Reported: 2011-04-23 04:35 PDT by A. Shimono [:himorin]
Modified: 2015-10-07 18:40 PDT (History)
7 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---

sample display (7.06 KB, image/png)
2011-04-23 04:35 PDT, A. Shimono [:himorin]
no flags Details
Fix this with tests (4.11 KB, patch)
2011-06-16 09:17 PDT, Jim Porter (:squib)
mozilla: review+
standard8: approval‑comm‑aurora+
standard8: approval‑thunderbird5.0+
Details | Diff | Splinter Review

Description A. Shimono [:himorin] 2011-04-23 04:35:57 PDT
Created attachment 527928 [details]
sample display

Mozilla/5.0 (Windows NT 6.1; rv:2.0.2pre) Gecko/20110415 Thunderbird/3.3a4pre

E-mail with From or To etc. in format "name" <address> is displayed as "name" (quoted) in the mail list pain. (see attachment)
Not occurred in 3.1 nightly.
Comment 1 A. Shimono [:himorin] 2011-04-28 23:11:36 PDT
Mozilla/5.0 (Windows NT 6.1; rv:2.0b10pre) Gecko/20110125 Thunderbird/3.3a3pre : works fine
Mozilla/5.0 (Windows NT 6.1; rv:2.0b12pre) Gecko/20110206 Thunderbird/3.3a3pre : works fine
Mozilla/5.0 (Windows NT 6.1; rv:2.0b13pre) Gecko/20110314 Thunderbird/3.3a3pre : regressed
Mozilla/5.0 (Windows NT 6.1; rv:2.0pre) Gecko/20110405 Thunderbird/3.3a4pre : regressed

And similar, e-mail with "From: <addr>" is displayed as <addr>. (window is the same as above.

# I don't upgrade my shredder so frequently, I don't have any between the above window.
Comment 2 Jim Porter (:squib) 2011-04-28 23:58:53 PDT
I'm almost totally certain this is a regression from bug 243631. I was going to file this myself, but I've repeatedly forgot about it since the bug was fixed.
Comment 3 Jim Porter (:squib) 2011-06-03 13:06:36 PDT
Since this is really obnoxious for me lately (lots of mail sent to me has a quoted display name), I think I'm going to try to get this fixed for Miramar. However, I need some advice as to how to proceed. I see 3 possible ways:

1) Change ParseHeaderAddresses to strip the quotes, 
2) Use ExtractHeaderAddressName and ExtractHeaderAddressMailboxes
3) Add an optional "strip quotes" flag to ParseHeaderAddresses
4) Create a new function that returns the unquoted name and mailbox

(1) has the potential to break other things, so I'm leery of doing it. (2) is probably slightly slower, and I'd rather not regress performance here (that said, I have no idea how *much* slower it would be). (3) seems pretty good, since ParseHeaderAddresses is noscript, and thus wouldn't affect too many extensions, but we'd probably have to update the UUID. (4) is a little more work and I'm not totally sure the new function would be that useful to other people.

Comment 4 Jim Porter (:squib) 2011-06-11 22:11:58 PDT
The simplest way would probably be do to the C++ equivalent of this:
Comment 5 Jim Porter (:squib) 2011-06-16 09:17:19 PDT
Created attachment 539807 [details] [diff] [review]
Fix this with tests

Sorry about taking so long to fix this, but here's the simplest version of this patch, doing things like in selectionsummaries.js.
Comment 6 David :Bienvenu 2011-06-17 07:38:27 PDT
this looks good; I'm just building with it to test it.
Comment 7 David :Bienvenu 2011-06-17 08:26:19 PDT
Comment on attachment 539807 [details] [diff] [review]
Fix this with tests

kudos for using view.getCellText :-)

It was tricky testing this because the display name caching code defeated the fix, in that we used the cached name instead of the fixed name. This makes it that much more important that this fix get into tb 5 (changing an address book should essentially clear the cache, but better not to get the bad data in the cache in the first place)
Comment 8 Mark Banner (:standard8) 2011-06-20 12:54:33 PDT
Checked into Miramar:
Comment 9 Jim Porter (:squib) 2011-06-21 23:32:25 PDT
Checked in:

(The milestone for this bug should be 7.0, right?)
Comment 10 Robert Kaiser 2011-06-22 14:12:17 PDT
Comment on attachment 539807 [details] [diff] [review]
Fix this with tests

approval‑comm‑beta=me (unfortunately we don't have this in the Thunderbird product yet, but SeaMonkey 2.2 should have the patch just the same as Thunderbird 5 does).
Comment 11 Jens Hatlak (:InvisibleSmiley) 2011-06-22 15:16:46 PDT

Note You need to log in before you can comment on or make changes to this bug.